<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\training;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\training\TrainingCourseLists;
use app\adminapi\logic\training\TrainingCourseLogic;
use app\adminapi\validate\training\TrainingCourseValidate;


/**
 * TrainingCourse控制器
 * Class TrainingCourseController
 * @package app\adminapi\controller
 */
class TrainingCourseController extends BaseAdminController
{

    public array $notNeedLogin = ['classBatchCourses'];
    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/14 17:37
     */
    public function lists()
    {
        return $this->dataLists(new TrainingCourseLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/14 17:37
     */
    public function add()
    {
        $params = (new TrainingCourseValidate())->post()->goCheck('add');
        $result = TrainingCourseLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(TrainingCourseLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/14 17:37
     */
    public function edit()
    {
        $params = (new TrainingCourseValidate())->post()->goCheck('edit');
        $result = TrainingCourseLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(TrainingCourseLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/14 17:37
     */
    public function delete()
    {
        $params = (new TrainingCourseValidate())->post()->goCheck('delete');
        TrainingCourseLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/14 17:37
     */
    public function detail()
    {
        $params = (new TrainingCourseValidate())->goCheck('detail');
        $result = TrainingCourseLogic::detail($params);
        return $this->data($result);
    }

    /**
     * @notes 批量分类课程
     * @return \think\response\Json
     * @author likeadmin
     * @date 2025/02/14 17:37
     */
    public function classBatchCourses()
    {
        $result = TrainingCourseLogic::classBatchCourses();
        return $this->success('', [$result], 1, 1);
    }
}